> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Query tag

> Retrieve information about a specific tag for a subgraph



## OpenAPI

````yaml /open-api/0xgraph.yaml post /public_api/v1/0xGraph/tags/query-tag
openapi: 3.0.3
info:
  title: 0xGraph API
  version: 1.0.0
  description: API for managing subgraph tags and deployments
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api.subgraph.ormilabs.com
    description: data controllers
security: []
paths:
  /public_api/v1/0xGraph/tags/query-tag:
    post:
      summary: Query tag
      description: Retrieve information about a specific tag for a subgraph
      operationId: queryTag
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                subgraph_name:
                  type: string
                  description: Subgraph name
                version:
                  type: string
                  description: Version
              required:
                - subgraph_name
                - version
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/queryTag'
      security:
        - BearerAuth: []
components:
  schemas:
    queryTag:
      type: object
      properties:
        code:
          type: integer
          description: Response status code
        msg:
          type: string
          description: Response message
        data:
          type: object
          properties:
            tags:
              type: array
              items:
                $ref: '#/components/schemas/tagItem'
              description: Array of tag items
          required:
            - tags
          description: Response data containing tags
      required:
        - code
        - data
      description: Query response object
    tagItem:
      type: object
      properties:
        tag:
          type: string
          description: Tag value
        create_time:
          type: integer
          format: int64
          description: Unix timestamp of creation time
      required:
        - tag
        - create_time
      description: Tag item object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````